Index: manage/general.php
===================================================================
--- manage/general.php	(revision 3164)
+++ manage/general.php	(working copy)
@@ -48,32 +48,32 @@
 
     $tpl->assign("project_list", Project::getAll());
 
-    if (@$HTTP_POST_VARS["cat"] == "update") {
+    if (@$_POST["cat"] == "update") {
         $setup = array();
-        $setup["tool_caption"] = $HTTP_POST_VARS["tool_caption"];
-        $setup["support_email"] = $HTTP_POST_VARS["support_email"];
-        $setup["daily_tips"] = $HTTP_POST_VARS["daily_tips"];
-        $setup["spell_checker"] = $HTTP_POST_VARS["spell_checker"];
-        $setup["irc_notification"] = $HTTP_POST_VARS["irc_notification"];
-        $setup["allow_unassigned_issues"] = $HTTP_POST_VARS["allow_unassigned_issues"];
-        @$setup["update"] = $HTTP_POST_VARS["update"];
-        @$setup["closed"] = $HTTP_POST_VARS["closed"];
-        @$setup["notes"] = $HTTP_POST_VARS["notes"];
-        @$setup["emails"] = $HTTP_POST_VARS["emails"];
-        @$setup["files"] = $HTTP_POST_VARS["files"];
-        @$setup["smtp"] = $HTTP_POST_VARS["smtp"];
-        @$setup["scm_integration"] = $HTTP_POST_VARS["scm_integration"];
-        @$setup["checkout_url"] = $HTTP_POST_VARS["checkout_url"];
-        @$setup["diff_url"] = $HTTP_POST_VARS["diff_url"];
-        @$setup["open_signup"] = $HTTP_POST_VARS["open_signup"];
-        @$setup["accounts_projects"] = $HTTP_POST_VARS["accounts_projects"];
-        @$setup["accounts_role"] = $HTTP_POST_VARS["accounts_role"];
-        @$setup['subject_based_routing'] = $HTTP_POST_VARS['subject_based_routing'];
-        @$setup['email_routing'] = $HTTP_POST_VARS['email_routing'];
-        @$setup['note_routing'] = $HTTP_POST_VARS['note_routing'];
-        @$setup['draft_routing'] = $HTTP_POST_VARS['draft_routing'];
-        @$setup['email_error'] = $HTTP_POST_VARS['email_error'];
-        @$setup['email_reminder'] = $HTTP_POST_VARS['email_reminder'];
+        $setup["tool_caption"] = $_POST["tool_caption"];
+        $setup["support_email"] = $_POST["support_email"];
+        $setup["daily_tips"] = $_POST["daily_tips"];
+        $setup["spell_checker"] = $_POST["spell_checker"];
+        $setup["irc_notification"] = $_POST["irc_notification"];
+        $setup["allow_unassigned_issues"] = $_POST["allow_unassigned_issues"];
+        @$setup["update"] = $_POST["update"];
+        @$setup["closed"] = $_POST["closed"];
+        @$setup["notes"] = $_POST["notes"];
+        @$setup["emails"] = $_POST["emails"];
+        @$setup["files"] = $_POST["files"];
+        @$setup["smtp"] = $_POST["smtp"];
+        @$setup["scm_integration"] = $_POST["scm_integration"];
+        @$setup["checkout_url"] = $_POST["checkout_url"];
+        @$setup["diff_url"] = $_POST["diff_url"];
+        @$setup["open_signup"] = $_POST["open_signup"];
+        @$setup["accounts_projects"] = $_POST["accounts_projects"];
+        @$setup["accounts_role"] = $_POST["accounts_role"];
+        @$setup['subject_based_routing'] = $_POST['subject_based_routing'];
+        @$setup['email_routing'] = $_POST['email_routing'];
+        @$setup['note_routing'] = $_POST['note_routing'];
+        @$setup['draft_routing'] = $_POST['draft_routing'];
+        @$setup['email_error'] = $_POST['email_error'];
+        @$setup['email_reminder'] = $_POST['email_reminder'];
         $options = Setup::load();
         @$setup['downloading_emails'] = $options['downloading_emails'];
         $res = Setup::save($setup);
Index: manage/phone_categories.php
===================================================================
--- manage/phone_categories.php	(revision 3164)
+++ manage/phone_categories.php	(working copy)
@@ -48,19 +48,19 @@
         $tpl->assign("show_setup_links", true);
     }
 
-    @$prj_id = $HTTP_POST_VARS["prj_id"] ? $HTTP_POST_VARS["prj_id"] : $HTTP_GET_VARS["prj_id"];
+    @$prj_id = $_POST["prj_id"] ? $_POST["prj_id"] : $_GET["prj_id"];
     $tpl->assign("project", Project::getDetails($prj_id));
 
-    if (@$HTTP_POST_VARS["cat"] == "new") {
+    if (@$_POST["cat"] == "new") {
         $tpl->assign("result", Phone_Support::insertCategory());
-    } elseif (@$HTTP_POST_VARS["cat"] == "update") {
+    } elseif (@$_POST["cat"] == "update") {
         $tpl->assign("result", Phone_Support::updateCategory());
-    } elseif (@$HTTP_POST_VARS["cat"] == "delete") {
+    } elseif (@$_POST["cat"] == "delete") {
         Phone_Support::removeCategory();
     }
 
-    if (@$HTTP_GET_VARS["cat"] == "edit") {
-        $tpl->assign("info", Phone_Support::getCategoryDetails($HTTP_GET_VARS["id"]));
+    if (@$_GET["cat"] == "edit") {
+        $tpl->assign("info", Phone_Support::getCategoryDetails($_GET["id"]));
     }
     $tpl->assign("list", Phone_Support::getCategoryList($prj_id));
 } else {
Index: manage/column_display.php
===================================================================
--- manage/column_display.php	(revision 3164)
+++ manage/column_display.php	(working copy)
@@ -49,7 +49,7 @@
         $tpl->assign("show_setup_links", true);
     }
 
-    if (@$HTTP_POST_VARS["cat"] == "save") {
+    if (@$_POST["cat"] == "save") {
         $tpl->assign("result", Display_Column::save());
     }
 
Index: manage/categories.php
===================================================================
--- manage/categories.php	(revision 3164)
+++ manage/categories.php	(working copy)
@@ -48,19 +48,19 @@
         $tpl->assign("show_setup_links", true);
     }
 
-    @$prj_id = $HTTP_POST_VARS["prj_id"] ? $HTTP_POST_VARS["prj_id"] : $HTTP_GET_VARS["prj_id"];
+    @$prj_id = $_POST["prj_id"] ? $_POST["prj_id"] : $_GET["prj_id"];
     $tpl->assign("project", Project::getDetails($prj_id));
 
-    if (@$HTTP_POST_VARS["cat"] == "new") {
+    if (@$_POST["cat"] == "new") {
         $tpl->assign("result", Category::insert());
-    } elseif (@$HTTP_POST_VARS["cat"] == "update") {
+    } elseif (@$_POST["cat"] == "update") {
         $tpl->assign("result", Category::update());
-    } elseif (@$HTTP_POST_VARS["cat"] == "delete") {
+    } elseif (@$_POST["cat"] == "delete") {
         Category::remove();
     }
 
-    if (@$HTTP_GET_VARS["cat"] == "edit") {
-        $tpl->assign("info", Category::getDetails($HTTP_GET_VARS["id"]));
+    if (@$_GET["cat"] == "edit") {
+        $tpl->assign("info", Category::getDetails($_GET["id"]));
     }
     $tpl->assign("list", Category::getList($prj_id));
 } else {
Index: manage/link_filters.php
===================================================================
--- manage/link_filters.php	(revision 3164)
+++ manage/link_filters.php	(working copy)
@@ -48,16 +48,16 @@
         $tpl->assign("show_setup_links", true);
     }
 
-    if (@$HTTP_POST_VARS["cat"] == "new") {
+    if (@$_POST["cat"] == "new") {
         $tpl->assign("result", Link_Filter::insert());
-    } elseif (@$HTTP_POST_VARS["cat"] == "update") {
+    } elseif (@$_POST["cat"] == "update") {
         $tpl->assign("result", Link_Filter::update());
-    } elseif (@$HTTP_POST_VARS["cat"] == "delete") {
+    } elseif (@$_POST["cat"] == "delete") {
         $tpl->assign("result", Link_Filter::remove());
     }
 
-    if (@$HTTP_GET_VARS["cat"] == "edit") {
-        $info = Link_Filter::getDetails($HTTP_GET_VARS["id"]);
+    if (@$_GET["cat"] == "edit") {
+        $info = Link_Filter::getDetails($_GET["id"]);
         $tpl->assign("info", $info);
     }
     
Index: manage/reminder_actions.php
===================================================================
--- manage/reminder_actions.php	(revision 3164)
+++ manage/reminder_actions.php	(working copy)
@@ -42,7 +42,7 @@
 
 $tpl->assign("type", "reminder_actions");
 
-$rem_id = @$HTTP_POST_VARS['rem_id'] ? $HTTP_POST_VARS['rem_id'] : $HTTP_GET_VARS['rem_id'];
+$rem_id = @$_POST['rem_id'] ? $_POST['rem_id'] : $_GET['rem_id'];
 
 $role_id = Auth::getCurrentRole();
 if (($role_id == User::getRoleID('administrator')) || ($role_id == User::getRoleID('manager'))) {
@@ -50,18 +50,18 @@
         $tpl->assign("show_setup_links", true);
     }
 
-    if (@$HTTP_POST_VARS["cat"] == "new") {
+    if (@$_POST["cat"] == "new") {
         $tpl->assign("result", Reminder_Action::insert());
-    } elseif (@$HTTP_POST_VARS["cat"] == "update") {
+    } elseif (@$_POST["cat"] == "update") {
         $tpl->assign("result", Reminder_Action::update());
-    } elseif (@$HTTP_POST_VARS["cat"] == "delete") {
-        @Reminder_Action::remove($HTTP_POST_VARS['items']);
+    } elseif (@$_POST["cat"] == "delete") {
+        @Reminder_Action::remove($_POST['items']);
     }
 
-    if (@$HTTP_GET_VARS["cat"] == "edit") {
-        $tpl->assign("info", Reminder_Action::getDetails($HTTP_GET_VARS["id"]));
-    } elseif (@$HTTP_GET_VARS["cat"] == "change_rank") {
-        Reminder_Action::changeRank($HTTP_GET_VARS['rem_id'], $HTTP_GET_VARS['id'], $HTTP_GET_VARS['rank']);
+    if (@$_GET["cat"] == "edit") {
+        $tpl->assign("info", Reminder_Action::getDetails($_GET["id"]));
+    } elseif (@$_GET["cat"] == "change_rank") {
+        Reminder_Action::changeRank($_GET['rem_id'], $_GET['id'], $_GET['rank']);
     }
 
     $tpl->assign("rem_id", $rem_id);
Index: manage/reminders.php
===================================================================
--- manage/reminders.php	(revision 3164)
+++ manage/reminders.php	(working copy)
@@ -50,18 +50,18 @@
         $tpl->assign("show_setup_links", true);
     }
 
-    if (@$HTTP_POST_VARS["cat"] == "new") {
+    if (@$_POST["cat"] == "new") {
         $tpl->assign("result", Reminder::insert());
-    } elseif (@$HTTP_POST_VARS["cat"] == "update") {
+    } elseif (@$_POST["cat"] == "update") {
         $tpl->assign("result", Reminder::update());
-    } elseif (@$HTTP_POST_VARS["cat"] == "delete") {
+    } elseif (@$_POST["cat"] == "delete") {
         Reminder::remove();
     }
 
-    if (@$HTTP_GET_VARS["cat"] == "edit") {
-        $info = Reminder::getDetails($HTTP_GET_VARS["id"]);
-        if (!empty($HTTP_GET_VARS['prj_id'])) {
-            $info['rem_prj_id'] = $HTTP_GET_VARS['prj_id'];
+    if (@$_GET["cat"] == "edit") {
+        $info = Reminder::getDetails($_GET["id"]);
+        if (!empty($_GET['prj_id'])) {
+            $info['rem_prj_id'] = $_GET['prj_id'];
         }
         // only show customers and support levels if the selected project really needs it
         $project_has_customer_integration = Customer::hasCustomerIntegration($info['rem_prj_id']);
@@ -81,24 +81,24 @@
         $priorities = array_flip(Priority::getAssocList($info['rem_prj_id']));
         unset($priorities['Not Prioritized']);
         $tpl->assign("priorities", array_flip($priorities));
-    } elseif (@$HTTP_GET_VARS["cat"] == "change_rank") {
-        Reminder::changeRank($HTTP_GET_VARS['id'], $HTTP_GET_VARS['rank']);
-    } elseif (!empty($HTTP_GET_VARS['prj_id'])) {
-        $tpl->assign("info", array('rem_prj_id' => $HTTP_GET_VARS['prj_id']));
-        $tpl->assign('issues', Reminder::getIssueAssocListByProject($HTTP_GET_VARS['prj_id']));
+    } elseif (@$_GET["cat"] == "change_rank") {
+        Reminder::changeRank($_GET['id'], $_GET['rank']);
+    } elseif (!empty($_GET['prj_id'])) {
+        $tpl->assign("info", array('rem_prj_id' => $_GET['prj_id']));
+        $tpl->assign('issues', Reminder::getIssueAssocListByProject($_GET['prj_id']));
         // wouldn't make much sense to create a reminder for a 'Not Prioritized' 
         // issue, so let's remove that as an option
-        $priorities = array_flip(Priority::getAssocList($HTTP_GET_VARS['prj_id']));
+        $priorities = array_flip(Priority::getAssocList($_GET['prj_id']));
         unset($priorities['Not Prioritized']);
         $tpl->assign("priorities", array_flip($priorities));
         // only show customers and support levels if the selected project really needs it
-        $project_has_customer_integration = Customer::hasCustomerIntegration($HTTP_GET_VARS['prj_id']);
+        $project_has_customer_integration = Customer::hasCustomerIntegration($_GET['prj_id']);
         $tpl->assign("project_has_customer_integration", $project_has_customer_integration);
         if ($project_has_customer_integration) {
-            $tpl->assign("customers", Customer::getAssocList($HTTP_GET_VARS['prj_id']));
-            $backend_uses_support_levels = Customer::doesBackendUseSupportLevels($HTTP_GET_VARS['prj_id']);
+            $tpl->assign("customers", Customer::getAssocList($_GET['prj_id']));
+            $backend_uses_support_levels = Customer::doesBackendUseSupportLevels($_GET['prj_id']);
             if ($backend_uses_support_levels) {
-                $tpl->assign("support_levels", Customer::getSupportLevelAssocList($HTTP_GET_VARS['prj_id']));
+                $tpl->assign("support_levels", Customer::getSupportLevelAssocList($_GET['prj_id']));
             }
             $tpl->assign("backend_uses_support_levels", $backend_uses_support_levels);
         }
Index: close.php
===================================================================
--- close.php	(revision 3164)
+++ close.php	(working copy)
@@ -44,7 +44,7 @@
 Auth::checkAuthentication(APP_COOKIE);
 
 $prj_id = Auth::getCurrentProject();
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : @$HTTP_GET_VARS["id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : @$_GET["id"];
 $tpl->assign("extra_title", "Close Issue #$issue_id");
 
 if (!Issue::exists($issue_id, false)) {
@@ -59,11 +59,11 @@
 $notification_list_internal = Notification::getSubscribers($issue_id, 'closed', User::getRoleID("Standard User"));
 $tpl->assign("notification_list_internal", $notification_list_internal['all']);
 
-if (@$HTTP_POST_VARS["cat"] == "close") {
-    $res = Issue::close(Auth::getUserID(), $HTTP_POST_VARS["issue_id"], $HTTP_POST_VARS["send_notification"], $HTTP_POST_VARS["resolution"], $HTTP_POST_VARS["status"], $HTTP_POST_VARS["reason"], @$_REQUEST['notification_list']);
+if (@$_POST["cat"] == "close") {
+    $res = Issue::close(Auth::getUserID(), $_POST["issue_id"], $_POST["send_notification"], $_POST["resolution"], $_POST["status"], $_POST["reason"], @$_REQUEST['notification_list']);
 
-    if (!empty($HTTP_POST_VARS['time_spent'])) {
-        $HTTP_POST_VARS['summary'] = 'Time entry inserted when closing issue.';
+    if (!empty($_POST['time_spent'])) {
+        $_POST['summary'] = 'Time entry inserted when closing issue.';
         Time_Tracking::insertEntry();
     }
 
Index: signup.php
===================================================================
--- signup.php	(revision 3164)
+++ signup.php	(working copy)
@@ -35,7 +35,7 @@
 $tpl = new Template_API();
 $tpl->setTemplate("signup.tpl.html");
 
-if (@$HTTP_POST_VARS['cat'] == 'signup') {
+if (@$_POST['cat'] == 'signup') {
     $setup = Setup::load();
     $res = User::createVisitorAccount($setup['accounts_role'], $setup['accounts_projects']);
     $tpl->assign('signup_result', $res);
Index: rss.php
===================================================================
--- rss.php	(revision 3164)
+++ rss.php	(working copy)
@@ -72,78 +72,78 @@
 // Extra tweak needed for IIS/ISAPI users since the PHP_AUTH_USER/PW variables are
 // not set on that particular platform. Instead what you get is a base64 encoded
 // value of the username:password under HTTP_AUTHORIZATION
-if (!empty($HTTP_SERVER_VARS['HTTP_AUTHORIZATION'])) {
-    $pieces = explode(':', base64_decode(substr($HTTP_SERVER_VARS['HTTP_AUTHORIZATION'], 6)));
-    $HTTP_SERVER_VARS['PHP_AUTH_USER'] = $pieces[0];
-    $HTTP_SERVER_VARS['PHP_AUTH_PW'] = $pieces[1];
-} elseif ((!empty($HTTP_SERVER_VARS['ALL_HTTP'])) && (strstr($HTTP_SERVER_VARS['ALL_HTTP'], 'HTTP_AUTHORIZATION'))) {
-    preg_match('/HTTP_AUTHORIZATION:Basic (.*)/', $HTTP_SERVER_VARS['ALL_HTTP'], $matches);
+if (!empty($_SERVER['HTTP_AUTHORIZATION'])) {
+    $pieces = explode(':', base64_decode(substr($_SERVER['HTTP_AUTHORIZATION'], 6)));
+    $_SERVER['PHP_AUTH_USER'] = $pieces[0];
+    $_SERVER['PHP_AUTH_PW'] = $pieces[1];
+} elseif ((!empty($_SERVER['ALL_HTTP'])) && (strstr($_SERVER['ALL_HTTP'], 'HTTP_AUTHORIZATION'))) {
+    preg_match('/HTTP_AUTHORIZATION:Basic (.*)/', $_SERVER['ALL_HTTP'], $matches);
     if (count($matches) > 0) {
         $pieces = explode(':', base64_decode($matches[1]));
-        $HTTP_SERVER_VARS['PHP_AUTH_USER'] = $pieces[0];
-        $HTTP_SERVER_VARS['PHP_AUTH_PW'] = $pieces[1];
+        $_SERVER['PHP_AUTH_USER'] = $pieces[0];
+        $_SERVER['PHP_AUTH_PW'] = $pieces[1];
     }
 }
 
-if (!isset($HTTP_SERVER_VARS['PHP_AUTH_USER'])) {
+if (!isset($_SERVER['PHP_AUTH_USER'])) {
     authenticate();
     echo 'Error: You are required to authenticate in order to access the requested RSS feed.';
     exit;
 } else {
     // check the authentication
-    if (Validation::isWhitespace($HTTP_SERVER_VARS['PHP_AUTH_USER'])) {
+    if (Validation::isWhitespace($_SERVER['PHP_AUTH_USER'])) {
         authenticate();
         echo 'Error: Please provide your email address.';
         exit;
     }
-    if (Validation::isWhitespace($HTTP_SERVER_VARS['PHP_AUTH_PW'])) {
+    if (Validation::isWhitespace($_SERVER['PHP_AUTH_PW'])) {
         authenticate();
         echo 'Error: Please provide your password.';
         exit;
     }
     // check if user exists
-    if (!Auth::userExists($HTTP_SERVER_VARS['PHP_AUTH_USER'])) {
+    if (!Auth::userExists($_SERVER['PHP_AUTH_USER'])) {
         authenticate();
         echo 'Error: The user specified does not exist.';
         exit;
     }
     // check if the password matches
-    if (!Auth::isCorrectPassword($HTTP_SERVER_VARS['PHP_AUTH_USER'], $HTTP_SERVER_VARS['PHP_AUTH_PW'])) {
+    if (!Auth::isCorrectPassword($_SERVER['PHP_AUTH_USER'], $_SERVER['PHP_AUTH_PW'])) {
         authenticate();
         echo 'Error: The provided email address/password combo is not correct.';
         exit;
     }
     // check if this user did already confirm his account
-    if (Auth::isPendingUser($HTTP_SERVER_VARS['PHP_AUTH_USER'])) {
+    if (Auth::isPendingUser($_SERVER['PHP_AUTH_USER'])) {
         authenticate();
         echo 'Error: The provided user still needs to have its account confirmed.';
         exit;
     }
     // check if this user is really an active one
-    if (!Auth::isActiveUser($HTTP_SERVER_VARS['PHP_AUTH_USER'])) {
+    if (!Auth::isActiveUser($_SERVER['PHP_AUTH_USER'])) {
         authenticate();
         echo 'Error: The provided user is currently set as an inactive user.';
         exit;
     }
 
     // check if the required parameter 'custom_id' is really being passed
-    if (empty($HTTP_GET_VARS['custom_id'])) {
+    if (empty($_GET['custom_id'])) {
         returnError("Error: The required 'custom_id' parameter was not provided.");
         exit;
     }
 
-    $usr_id = User::getUserIDByEmail($HTTP_SERVER_VARS['PHP_AUTH_USER']);
+    $usr_id = User::getUserIDByEmail($_SERVER['PHP_AUTH_USER']);
     // check if the passed 'custom_id' parameter is associated with the usr_id
-    if ((!Filter::isGlobal($HTTP_GET_VARS['custom_id'])) && (!Filter::isOwner($HTTP_GET_VARS['custom_id'], $usr_id))) {
+    if ((!Filter::isGlobal($_GET['custom_id'])) && (!Filter::isOwner($_GET['custom_id'], $usr_id))) {
         returnError('Error: The provided custom filter ID is not associated with the given email address.');
         exit;
     }
 }
 
 
-$filter = Filter::getDetails($HTTP_GET_VARS["custom_id"], FALSE);
+$filter = Filter::getDetails($_GET["custom_id"], FALSE);
 
-Auth::createFakeCookie(User::getUserIDByEmail($HTTP_SERVER_VARS['PHP_AUTH_USER']), $filter['cst_prj_id']);
+Auth::createFakeCookie(User::getUserIDByEmail($_SERVER['PHP_AUTH_USER']), $filter['cst_prj_id']);
 
 $options = array(
     'users'         => $filter['cst_users'],
Index: post_note.php
===================================================================
--- post_note.php	(revision 3164)
+++ post_note.php	(working copy)
@@ -42,7 +42,7 @@
 $prj_id = Auth::getCurrentProject();
 $usr_id = Auth::getUserID();
 
-@$issue_id = $HTTP_GET_VARS["issue_id"] ? $HTTP_GET_VARS["issue_id"] : $HTTP_POST_VARS["issue_id"];
+@$issue_id = $_GET["issue_id"] ? $_GET["issue_id"] : $_POST["issue_id"];
 $details = Issue::getDetails($issue_id);
 $tpl->assign("issue_id", $issue_id);
 $tpl->assign("issue", $details);
@@ -53,12 +53,12 @@
     exit;
 }
 
-if (@$HTTP_POST_VARS["cat"] == "post_note") {
+if (@$_POST["cat"] == "post_note") {
     // change status
-    if (!@empty($HTTP_POST_VARS['new_status'])) {
-        $res = Issue::setStatus($issue_id, $HTTP_POST_VARS['new_status']);
+    if (!@empty($_POST['new_status'])) {
+        $res = Issue::setStatus($issue_id, $_POST['new_status']);
         if ($res != -1) {
-            $new_status = Status::getStatusTitle($HTTP_POST_VARS['new_status']);
+            $new_status = Status::getStatusTitle($_POST['new_status']);
             History::add($issue_id, $usr_id, History::getTypeID('status_changed'), "Status changed to '$new_status' by " . User::getFullName($usr_id));
         }
     }
@@ -66,21 +66,21 @@
     $res = Note::insert($usr_id, $issue_id);
     $tpl->assign("post_result", $res);
     // enter the time tracking entry about this phone support entry
-    if (!empty($HTTP_POST_VARS['time_spent'])) {
-        $HTTP_POST_VARS['issue_id'] = $issue_id;
-        $HTTP_POST_VARS['category'] = $HTTP_POST_VARS['time_category'];
-        $HTTP_POST_VARS['summary'] = 'Time entry inserted when sending an internal note.';
+    if (!empty($_POST['time_spent'])) {
+        $_POST['issue_id'] = $issue_id;
+        $_POST['category'] = $_POST['time_category'];
+        $_POST['summary'] = 'Time entry inserted when sending an internal note.';
         Time_Tracking::insertEntry();
     }
-} elseif (@$HTTP_GET_VARS["cat"] == "reply") {
-    if (!@empty($HTTP_GET_VARS["id"])) {
-        $note = Note::getDetails($HTTP_GET_VARS["id"]);
+} elseif (@$_GET["cat"] == "reply") {
+    if (!@empty($_GET["id"])) {
+        $note = Note::getDetails($_GET["id"]);
         $date = Misc::formatReplyDate($note["timestamp"]);
         $header = "\n\n\nOn $date, " . $note["not_from"] . " wrote:\n>\n";
         $note["not_body"] = $header . Misc::formatReply($note["not_note"]);
         $tpl->bulkAssign(array(
             "note"           => $note,
-            "parent_note_id" => $HTTP_GET_VARS["id"]
+            "parent_note_id" => $_GET["id"]
         ));
         $reply_subject = Mail_API::removeExcessRe($note['not_title']);
     }
Index: spell_check.php
===================================================================
--- spell_check.php	(revision 3164)
+++ spell_check.php	(working copy)
@@ -37,11 +37,11 @@
 
 Auth::checkAuthentication(APP_COOKIE);
 
-if (!empty($HTTP_GET_VARS['form_name'])) {
+if (!empty($_GET['form_name'])) {
     // show temporary form
     $tpl->assign("show_temp_form", "yes");
 } else {
-    $tpl->assign("spell_check", Misc::checkSpelling($HTTP_POST_VARS['textarea']));
+    $tpl->assign("spell_check", Misc::checkSpelling($_POST['textarea']));
 }
 
 $tpl->displayTemplate();
Index: file_upload.php
===================================================================
--- file_upload.php	(revision 3164)
+++ file_upload.php	(working copy)
@@ -38,10 +38,10 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 $usr_id = Auth::getUserID();
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["iss_id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : $_GET["iss_id"];
 
-if (@$HTTP_POST_VARS["cat"] == "upload_file") {
-    $res = Attachment::attach($usr_id, $HTTP_POST_VARS['status']);
+if (@$_POST["cat"] == "upload_file") {
+    $res = Attachment::attach($usr_id, $_POST['status']);
     $tpl->assign("upload_file_result", $res);
 }
 
Index: mail_queue.php
===================================================================
--- mail_queue.php	(revision 3164)
+++ mail_queue.php	(working copy)
@@ -38,7 +38,7 @@
 
 Auth::checkAuthentication(APP_COOKIE);
 
-$issue_id = $HTTP_GET_VARS["iss_id"];
+$issue_id = $_GET["iss_id"];
 
 if ((Auth::getCurrentRole() < User::getRoleID('Developer')) ||
         (Issue::getProjectID($issue_id) != Auth::getCurrentProject())) {
Index: phone_calls.php
===================================================================
--- phone_calls.php	(revision 3164)
+++ phone_calls.php	(working copy)
@@ -38,7 +38,7 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["iss_id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : $_GET["iss_id"];
 
 if (!Issue::canAccess($issue_id, Auth::getUserID())) {
     $tpl = new Template_API();
@@ -47,7 +47,7 @@
     exit;
 }
 
-if (@$HTTP_POST_VARS["cat"] == "add_phone") {
+if (@$_POST["cat"] == "add_phone") {
     $res = Phone_Support::insert();
     $tpl->assign("add_phone_result", $res);
 }
